Skip to main content

createOrUpdateFortifyIntegration

Create or update Fortify integration

createOrUpdateFortifyIntegration(
input: CreateOrUpdateFortifyIntegrationInput!
): CreateOrUpdateFortifyIntegrationPayload

Arguments​

createOrUpdateFortifyIntegration.input ● CreateOrUpdateFortifyIntegrationInput! non-null input​

Parameters for CreateOrUpdateFortifyIntegration

Type​

CreateOrUpdateFortifyIntegrationPayload object​

Autogenerated return type of CreateOrUpdateFortifyIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateFortifyIntegration($input: CreateOrUpdateFortifyIntegrationInput!) {\n createOrUpdateFortifyIntegration(input: $input) { clientMutationId integration { id connectionHealth { __typename } createdAt } }\n}","variables":{"input":{"companyId":1,"username":"example","url":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute